/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EasyBeansSLSB.java 572 2006-06-04 21:23:27Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.api.bean;

import org.objectweb.easybeans.api.bean.lifecycle.EasyBeansSLSBLifeCycle;

/**
 * Defines the interface of a stateless session bean.
 * @author Florent Benoit
 */
public interface EasyBeansSLSB extends EasyBeansSB, EasyBeansSLSBLifeCycle {

}
