/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EBaseTimeoutCallbackTester00.java 304 2006-04-03 12:33:40Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.ejbs.base;

import org.objectweb.easybeans.tests.common.resources.Watcher;

/**
 * Used as base to test the timeout callback method and the operations allowed
 * to it. Example: timeout callback method accessing an EJB.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 */
public class EBaseTimeoutCallbackTester00 implements ItfTestTimeoutCallbackOperation00 {

    // TODO: To develop the tests.

    /**
     * Used to check if an exception occured during a timeout operation.
     */
    private Watcher watcher = Watcher.getInstance();

    /**
     * Bean with a timer and a timeout callback method.
     */
    private ItfTimeoutCallback00 bean;

    /**
     * Gets a new reference of the bean with timer.
     * @throws Exception if a problem occurs.
     */
    public void startUp() throws Exception {
    }

    /**
     * @see org.objectweb.easybeans.tests.common.ejbs.base.ItfTestTimeoutCallbackOperation00
     * @throws Exception if a problem occurs.
     */
    public void testAccessEJB00() throws Exception {
    }

    /**
     * @see org.objectweb.easybeans.tests.common.ejbs.base.ItfTestTimeoutCallbackOperation00
     * @throws Exception if a problem occurs.
     */
    public void testAccessJNDI00() throws Exception {
    }

    /**
     * @see org.objectweb.easybeans.tests.common.ejbs.base.ItfTestTimeoutCallbackOperation00
     * @throws Exception if a problem occurs.
     */
    public void testAccessResourceManager00() throws Exception {
    }

    /**
     * @see org.objectweb.easybeans.tests.common.ejbs.base.ItfTestTimeoutCallbackOperation00
     * @throws Exception if a problem occurs.
     */
    public void testAccessEntityManager00() throws Exception {
    }

    /**
     * @see org.objectweb.easybeans.tests.common.ejbs.base.ItfTestTimeoutCallbackOperation00
     * @throws Exception if a problem occurs.
     */
    public void testAccessEntityManagerFactory00() throws Exception {
    }

    /**
     * @see org.objectweb.easybeans.tests.common.ejbs.base.ItfTestTimeoutCallbackOperation00
     * @throws Exception if a problem occurs.
     */
    public void testAccessTimerService00() throws Exception {
    }

    /**
     * @see org.objectweb.easybeans.tests.common.ejbs.base.ItfTestTimeoutCallbackOperation00
     * @throws Exception if a problem occurs.
     */
    public void testAccessUserTransaction00() throws Exception {
    }

}
